Bug 1254147 - Vdsm for EL7 doesn't work with engine 3.4 - Error during handshake: unexpected eof
Vdsm for EL7 doesn't work with engine 3.4 - Error during handshake: unexpecte...
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Kliczewski
Petr Kubica
infra
:
Depends On:
Blocks: 1229177
  Show dependency treegraph
 
Reported: 2015-08-17 05:45 EDT by Petr Kubica
Modified: 2016-07-11 07:33 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-31 03:56:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
all logs (engine & hosts) (14.26 MB, application/x-gzip)
2015-08-17 05:45 EDT, Petr Kubica
no flags Details

  None (edit)
Description Petr Kubica 2015-08-17 05:45:51 EDT
Created attachment 1063754 [details]
all logs (engine & hosts)

Description of problem:
I try to add two rhel7.1 host to engine 3.4 and it failed with network issue:

repeatedly printed - vdsm-4.16.12.1-3.el7ev.x86_64 (from 3.4):
Detector thread::DEBUG::2015-08-17 10:47:51,091::protocoldetector::207::vds.MultiProtocolAcceptor::(_process_handshake) Error during handshake: unexpected eof

- vdsm-4.17.0-1239.git6575e3f.el7.noarch (from 3.6)
Reactor thread::ERROR::2015-08-17 10:58:52,939::sslutils::336::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: unexpected eof
Reactor thread::INFO::2015-08-17 10:58:55,985::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.34.60.15:57691

and hosts are non-responsive after installing

Version-Release number of selected component (if applicable):
rhel7.1 hosts
tested vdsm:
vdsm-4.16.12.1-3.el7ev.x86_64 (3.4 repository)
vdsm-4.17.0-1239.git6575e3f.el7.noarch (3.6 repository)
engine: 3.4.4-1.el6

How reproducible:
always

Steps to Reproduce:
1. Install clean engine
2. Add a host with rhel7.1

Actual results:
Host is non-responsive

Expected results:
Should work - bug: https://bugzilla.redhat.com/show_bug.cgi?id=1229177

Additional info:
attached logs from engine and both hosts
Comment 1 Petr Kubica 2015-08-17 05:47:30 EDT
In ovirt 3.5 and 3.6 with cluster level compatibility set to 3.4 everything works.
Comment 2 Oved Ourfali 2015-08-24 02:21:54 EDT
Petr - can you check with 3.4.5?
Comment 3 Oved Ourfali 2015-08-24 02:23:16 EDT
> 
> Expected results:
> Should work - bug: https://bugzilla.redhat.com/show_bug.cgi?id=1229177
> 

Actually, the bug you refer to just means that VDSM for EL7 doesn't allow engine 3.4....
I suggest to close as notabug.
Comment 4 Petr Kubica 2015-08-25 08:37:57 EDT
I understand from this bug that engine 3.4 should be supported as a 'tech-preview' (You can read this in Doc text)
Comment 5 Slava 2015-08-27 09:32:34 EDT
The same story on Fedora22 and ovirt 3.6. Tried clean installation and vdsm running, but engine can't communicate.

http://fpaste.org/260081/44068180/

[root@ns508284 ~]# rpm -qa | grep engine
ovirt-engine-backend-3.6.0-0.0.master.20150826045607.gite59e72a.fc22.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.6.0-0.0.master.20150826045607.gite59e72a.fc22.noarch
ovirt-engine-setup-3.6.0-0.0.master.20150826045607.gite59e72a.fc22.noarch


[root@ns508284 ~]# rpm -qa | grep vdsm
vdsm-python-4.17.3-4.git197b0a4.fc22.noarch
vdsm-jsonrpc-java-1.1.4-0.0.master.20150825185019.gitb74bc4d.fc22.noarch
vdsm-jsonrpc-4.17.3-4.git197b0a4.fc22.noarch
vdsm-4.17.3-4.git197b0a4.fc22.noarch
vdsm-xmlrpc-4.17.3-4.git197b0a4.fc22.noarch
vdsm-yajsonrpc-4.17.3-4.git197b0a4.fc22.noarch
vdsm-infra-4.17.3-4.git197b0a4.fc22.noarch
vdsm-cli-4.17.3-4.git197b0a4.fc22.noarch
Comment 6 Piotr Kliczewski 2015-08-27 10:38:20 EDT
General SSLEngine problem seems to be weird. Can you please provide steps to reproduce and the logs for both host and the engine in debug.
Comment 7 Slava 2015-08-27 14:08:33 EDT
Please provide instructions to give correct debug logs. That they will give some usable information. In this state I even can't initialize local host.

To reproduce it. 

Install Fedora22 Server x86_64
Install ovirt repoitory 3.6
Install all in one plugin.
Run engine-setup
Then when log in to WebUI get error
"VDSM local_host command failed: General SSLEngine problem"

Check VDMS logs shows eol when engine tries connect via SSL.

Reactor thread::INFO::2015-08-27 13:03:29,604::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 167.114.64.21:53826
Reactor thread::ERROR::2015-08-27 13:03:29,615::sslutils::336::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: unexpected eof

but VDSM is shows running service.

[root@ns508284 ~]# systemctl status vdsmd.service
● vdsmd.service - Virtual Desktop Server Manager
   Loaded: loaded (/usr/lib/systemd/system/vdsmd.service; enabled; vendor preset: enabled)
   Active: active (running) since Thu 2015-08-27 11:15:33 CDT; 1h 49min ago
 Main PID: 14855 (vdsm)
   CGroup: /system.slice/vdsmd.service
           └─14855 /usr/bin/python /usr/share/vdsm/vdsm

Aug 27 13:04:02 ns508284.ip-167-114-64.net vdsm[14855]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: unexpected eof
Aug 27 13:04:05 ns508284.ip-167-114-64.net vdsm[14855]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: unexpected eof
Aug 27 13:04:20 ns508284.ip-167-114-64.net vdsm[14855]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: unexpected eof
Aug 27 13:04:23 ns508284.ip-167-114-64.net vdsm[14855]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: unexpected eof
Comment 8 Oved Ourfali 2015-08-31 03:56:20 EDT
As said before, this isn't supported.
Closing as NOTABUG. I suggest upgrading to 3.5.
Comment 9 Slava 2015-08-31 08:26:56 EDT
What exactly not supported ?
Comment 10 Oved Ourfali 2015-08-31 08:30:31 EDT
(In reply to Slava from comment #9)
> What exactly not supported ?

adding EL7 host to 3.4 engine.
Comment 11 Slava 2015-08-31 08:34:36 EDT
If you will check my comments this behaviour is happened  in 3.6 branch, I can't run it in on Fedora22  (In reply to Slava from comment #5)

> The same story on Fedora22 and ovirt 3.6. Tried clean installation and vdsm
> running, but engine can't communicate.
> 
> http://fpaste.org/260081/44068180/
> 
> [root@ns508284 ~]# rpm -qa | grep engine
> ovirt-engine-backend-3.6.0-0.0.master.20150826045607.gite59e72a.fc22.noarch
> ovirt-engine-setup-plugin-ovirt-engine-3.6.0-0.0.master.20150826045607.
> gite59e72a.fc22.noarch
> ovirt-engine-setup-3.6.0-0.0.master.20150826045607.gite59e72a.fc22.noarch
> 
> 
> [root@ns508284 ~]# rpm -qa | grep vdsm
> vdsm-python-4.17.3-4.git197b0a4.fc22.noarch
> vdsm-jsonrpc-java-1.1.4-0.0.master.20150825185019.gitb74bc4d.fc22.noarch
> vdsm-jsonrpc-4.17.3-4.git197b0a4.fc22.noarch
> vdsm-4.17.3-4.git197b0a4.fc22.noarch
> vdsm-xmlrpc-4.17.3-4.git197b0a4.fc22.noarch
> vdsm-yajsonrpc-4.17.3-4.git197b0a4.fc22.noarch
> vdsm-infra-4.17.3-4.git197b0a4.fc22.noarch
> vdsm-cli-4.17.3-4.git197b0a4.fc22.noarch
Comment 12 Slava 2015-08-31 08:35:49 EDT
Check fpaste link.
Comment 13 Sven Kieske 2016-06-10 10:18:03 EDT
Please reopen, this happens to me with a current engine 3.6.6.2-1.el7.centos

all versions:

rpm -qa | grep vdsm
vdsm-xmlrpc-4.17.28-0.el7.centos.noarch
vdsm-python-4.17.28-0.el7.centos.noarch
vdsm-yajsonrpc-4.17.28-0.el7.centos.noarch
vdsm-hook-vmfex-dev-4.17.28-0.el7.centos.noarch
vdsm-cli-4.17.28-0.el7.centos.noarch
vdsm-infra-4.17.28-0.el7.centos.noarch
vdsm-jsonrpc-4.17.28-0.el7.centos.noarch
vdsm-4.17.28-0.el7.centos.noarch


rpm -qa | grep ovirt
ovirt-engine-extension-aaa-jdbc-1.0.8-0.0.master.20160415165902.gitca9be7e.el7.noarch
ovirt-host-deploy-java-1.4.2-0.0.master.20151122153544.gitfc808fc.el7.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-3.6.6.2-1.el7.centos.noarch
ovirt-engine-setup-plugin-websocket-proxy-3.6.6.2-1.el7.centos.noarch
ovirt-engine-tools-backup-3.6.6.2-1.el7.centos.noarch
ovirt-engine-backend-3.6.6.2-1.el7.centos.noarch
ovirt-engine-restapi-3.6.6.2-1.el7.centos.noarch
ovirt-engine-sdk-python-3.6.5.0-1.el7.centos.noarch
ovirt-engine-setup-base-3.6.6.2-1.el7.centos.noarch
ovirt-vmconsole-proxy-1.0.2-1.el7.centos.noarch
ovirt-engine-wildfly-8.2.1-1.el7.x86_64
ovirt-release36-snapshot-3.6.6-1.noarch
ovirt-engine-wildfly-overlay-8.0.5-1.el7.noarch
ovirt-iso-uploader-3.6.1-0.0.master.20160414111648.gitd2aea1a.el7.noarch
ovirt-engine-cli-3.6.2.1-0.1.20160111.git696d8ea.el7.centos.noarch
ovirt-host-deploy-1.4.2-0.0.master.20151122153544.gitfc808fc.el7.noarch
ovirt-setup-lib-1.0.1-1.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.6.6.2-1.el7.centos.noarch
ovirt-engine-setup-3.6.6.2-1.el7.centos.noarch
ovirt-engine-vmconsole-proxy-helper-3.6.6.2-1.el7.centos.noarch
ovirt-engine-extensions-api-impl-3.6.6.2-1.el7.centos.noarch
ovirt-engine-websocket-proxy-3.6.6.2-1.el7.centos.noarch
ovirt-engine-dbscripts-3.6.6.2-1.el7.centos.noarch
ovirt-engine-tools-3.6.6.2-1.el7.centos.noarch
ovirt-engine-3.6.6.2-1.el7.centos.noarch
ovirt-release36-3.6.6-1.noarch
ovirt-vmconsole-1.0.2-1.el7.centos.noarch
ovirt-engine-extension-aaa-ldap-setup-1.1.4-1.el7.noarch
ovirt-log-collector-3.6.1-1.el7.centos.noarch
ovirt-image-uploader-3.6.1-0.0.master.20151006154111.git95ce637.el7.centos.noarch
ovirt-engine-lib-3.6.6.2-1.el7.centos.noarch
ovirt-engine-setup-plugin-vmconsole-proxy-helper-3.6.6.2-1.el7.centos.noarch
ovirt-engine-userportal-3.6.6.2-1.el7.centos.noarch
ovirt-engine-webadmin-portal-3.6.6.2-1.el7.centos.noarch
ovirt-engine-extension-aaa-ldap-1.1.4-1.el7.noarch
Comment 14 Sven Kieske 2016-06-10 10:23:32 EDT
as this is closed I can't attach logs, so here are some outputs:

in engine the host is marked as "non responsive",

here are some logs from vdsm:

tail -f /var/log/vdsm/vdsm.log
Thread-48::INFO::2016-06-10 16:21:46,686::xmlrpc::84::vds.XMLRPCServer::(_process_requests) Request handler for 127.0.0.1:50857 started
Thread-48::INFO::2016-06-10 16:21:46,687::xmlrpc::92::vds.XMLRPCServer::(_process_requests) Request handler for 127.0.0.1:50857 stopped
Reactor thread::INFO::2016-06-10 16:21:46,827::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.210.0.134:42216
Reactor thread::ERROR::2016-06-10 16:21:46,828::m2cutils::337::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: wrong version number
Reactor thread::INFO::2016-06-10 16:21:49,848::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.210.0.134:32939
Reactor thread::ERROR::2016-06-10 16:21:49,849::m2cutils::337::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: wrong version number
Reactor thread::INFO::2016-06-10 16:21:52,868::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.210.0.134:43121
Reactor thread::ERROR::2016-06-10 16:21:52,870::m2cutils::337::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: wrong version number
Reactor thread::INFO::2016-06-10 16:21:55,892::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.210.0.134:56247
Reactor thread::ERROR::2016-06-10 16:21:55,893::m2cutils::337::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: wrong version number
Reactor thread::INFO::2016-06-10 16:21:58,920::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.210.0.134:37471
Reactor thread::ERROR::2016-06-10 16:21:58,921::m2cutils::337::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: wrong version number
Reactor thread::INFO::2016-06-10 16:22:01,703::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 127.0.0.1:50858
Reactor thread::DEBUG::2016-06-10 16:22:01,708::protocoldetector::82::ProtocolDetector.Detector::(__init__) Using required_size=11
Reactor thread::INFO::2016-06-10 16:22:01,708::protocoldetector::118::ProtocolDetector.Detector::(handle_read) Detected protocol xml from 127.0.0.1:50858
BindingXMLRPC::INFO::2016-06-10 16:22:01,708::xmlrpc::73::vds.XMLRPCServer::(handle_request) Starting request handler for 127.0.0.1:50858
Reactor thread::DEBUG::2016-06-10 16:22:01,708::bindingxmlrpc::1302::XmlDetector::(handle_socket) xml over http detected from ('127.0.0.1', 50858)
Thread-49::INFO::2016-06-10 16:22:01,709::xmlrpc::84::vds.XMLRPCServer::(_process_requests) Request handler for 127.0.0.1:50858 started
Thread-49::INFO::2016-06-10 16:22:01,710::xmlrpc::92::vds.XMLRPCServer::(_process_requests) Request handler for 127.0.0.1:50858 stopped
Reactor thread::INFO::2016-06-10 16:22:01,941::protocoldetector::72::ProtocolDetector.AcceptorImpl::(handle_accept) Accepting connection from 10.210.0.134:60840
Reactor thread::ERROR::2016-06-10 16:22:01,942::m2cutils::337::ProtocolDetector.SSLHandshakeDispatcher::(handle_read) Error during handshake: wrong version number


systemctl status vdsmd
● vdsmd.service - Virtual Desktop Server Manager
   Loaded: loaded (/usr/lib/systemd/system/vdsmd.service; enabled; vendor preset: enabled)
   Active: active (running) since Fri 2016-06-10 16:13:00 CEST; 9min ago
  Process: 16070 ExecStopPost=/usr/libexec/vdsm/vdsmd_init_common.sh --post-stop (code=exited, status=0/SUCCESS)
  Process: 16075 ExecStartPre=/usr/libexec/vdsm/vdsmd_init_common.sh --pre-start (code=exited, status=0/SUCCESS)
 Main PID: 16169 (vdsm)
   CGroup: /system.slice/vdsmd.service
           └─16169 /usr/bin/python /usr/share/vdsm/vdsm

Jun 10 16:21:46 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:21:49 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:21:52 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:21:55 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:21:58 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:22:01 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:22:04 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:22:07 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:22:11 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number
Jun 10 16:22:14 vrnode0008.vrootdev vdsm[16169]: vdsm ProtocolDetector.SSLHandshakeDispatcher ERROR Error during handshake: wrong version number

and from ovirt-engine:

2016-06-10 16:17:57,952 INFO  [org.ovirt.engine.docs.utils.servlet.ContextSensitiveHelpMappingServlet] (default task-9) [] Context-sensitive help is not installed. Manual directory doesn't exist: /usr/share/ovirt-engine/manual
2016-06-10 16:17:57,967 ERROR [org.ovirt.engine.core.utils.servlet.ServletUtils] (default task-11) [] Can't read file '/usr/share/ovirt-engine/files/spice/SpiceVersion.txt' for request '/ovirt-engine/services/files/spice/SpiceVersion.txt', will send a 404 error response.
2016-06-10 16:18:02,555 INFO  [org.ovirt.engine.core.bll.aaa.LoginAdminUserCommand] (default task-6) [] Running command: LoginAdminUserCommand internal: false.
2016-06-10 16:18:02,571 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-6) [] Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: User admin@internal logged in.
2016-06-10 16:18:12,371 WARN  [org.ovirt.engine.core.bll.storage.RemoveStoragePoolCommand] (default task-5) [758cd2c5] CanDoAction of action 'RemoveStoragePool' failed for user admin@internal. Reasons: VAR__TYPE__STORAGE__POOL,VAR__ACTION__REMOVE,ACTION_TYPE_FAILED_NO_VDS_IN_POOL
2016-06-10 16:18:42,555 WARN  [org.ovirt.engine.core.bll.RemoveVdsGroupCommand] (default task-8) [1f75000] CanDoAction of action 'RemoveVdsGroup' failed for user admin@internal. Reasons: VAR__TYPE__CLUSTER,VAR__ACTION__REMOVE,VDS_CANNOT_REMOVE_VDS_GROUP_VDS_DETECTED
2016-06-10 16:20:11,832 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.GetAllVmStatsVDSCommand] (DefaultQuartzScheduler_Worker-79) [] Command 'GetAllVmStatsVDSCommand(HostName = vrnode0008, VdsIdAndVdsVDSCommandParametersBase:{runAsync='true', hostId='8d9b0cc6-d684-45d8-abed-4332107ac569', vds='Host[vrnode0008,8d9b0cc6-d684-45d8-abed-4332107ac569]'})' execution failed: VDSGenericException: VDSNetworkException: Vds timeout occured
2016-06-10 16:20:11,832 INFO  [org.ovirt.engine.core.vdsbroker.PollVmStatsRefresher] (DefaultQuartzScheduler_Worker-79) [] Failed to fetch vms info for host 'vrnode0008' - skipping VMs monitoring.
2016-06-10 16:20:11,857 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (DefaultQuartzScheduler_Worker-43) [] Correlation ID: null, Call Stack: null, Custom Event ID: -1, Message: VDSM vrnode0008 command failed: Message timeout which can be caused by communication issues
2016-06-10 16:20:11,857 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand] (DefaultQuartzScheduler_Worker-43) [] Command 'org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand' return value 'org.ovirt.engine.core.vdsbroker.vdsbroker.VDSInfoReturnForXmlRpc@4166f826'
2016-06-10 16:20:11,857 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand] (DefaultQuartzScheduler_Worker-43) [] HostName = vrnode0008
2016-06-10 16:20:11,858 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand] (DefaultQuartzScheduler_Worker-43) [] Command 'GetCapabilitiesVDSCommand(HostName = vrnode0008, VdsIdAndVdsVDSCommandParametersBase:{runAsync='true', hostId='8d9b0cc6-d684-45d8-abed-4332107ac569', vds='Host[vrnode0008,8d9b0cc6-d684-45d8-abed-4332107ac569]'})' execution failed: VDSGenericException: VDSNetworkException: Message timeout which can be caused by communication issues
2016-06-10 16:20:11,858 ERROR [org.ovirt.engine.core.vdsbroker.HostMonitoring] (DefaultQuartzScheduler_Worker-43) [] Failure to refresh Vds runtime info: VDSGenericException: VDSNetworkException: Message timeout which can be caused by communication issues
2016-06-10 16:20:11,858 ERROR [org.ovirt.engine.core.vdsbroker.HostMonitoring] (DefaultQuartzScheduler_Worker-43) [] Exception: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSNetworkException: VDSGenericException: VDSNetworkException: Message timeout which can be caused by communication issues
        at org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase.proceedProxyReturnValue(BrokerCommandBase.java:188) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.GetCapabilitiesVDSCommand.executeVdsBrokerCommand(GetCapabilitiesVDSCommand.java:16) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand.executeVDSCommand(VdsBrokerCommand.java:110) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.executeCommand(VDSCommandBase.java:65) [vdsbroker.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.execute(VdcCommandBase.java:33) [dal.jar:]
        at org.ovirt.engine.core.vdsbroker.ResourceManager.runVdsCommand(ResourceManager.java:467) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsManager.refreshCapabilities(VdsManager.java:652) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.HostMonitoring.refreshVdsRunTimeInfo(HostMonitoring.java:119) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.HostMonitoring.refresh(HostMonitoring.java:84) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsManager.onTimer(VdsManager.java:227) [vdsbroker.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.8.0_91]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) [rt.jar:1.8.0_91]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_91]
        at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_91]
        at org.ovirt.engine.core.utils.timer.JobWrapper.invokeMethod(JobWrapper.java:81) [scheduler.jar:]
        at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:52) [scheduler.jar:]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz.jar:]

2016-06-10 16:20:14,887 INFO  [org.ovirt.vdsm.jsonrpc.client.reactors.ReactorClient] (SSL Stomp Reactor) [] Connecting to /10.210.2.13
2016-06-10 16:20:14,937 ERROR [org.ovirt.vdsm.jsonrpc.client.reactors.Reactor] (SSL Stomp Reactor) [] Unable to process messages
2016-06-10 16:20:26,833 INFO  [org.ovirt.vdsm.jsonrpc.client.reactors.ReactorClient] (SSL Stomp Reactor) [] Connecting to /10.210.2.13
2016-06-10 16:20:26,862 ERROR [org.ovirt.vdsm.jsonrpc.client.reactors.Reactor] (SSL Stomp Reactor) [] Unable to process messages


HTH

Sven
Comment 15 Piotr Kliczewski 2016-06-10 11:26:29 EDT
After conversation on irc we agreed to open new BZ on engine upgrade.
Comment 16 Roy Golan 2016-06-26 02:21:10 EDT
Can you please put the new bug id here for reference, for all who will end up reaching to this bug meanwhile? thanks
Comment 17 Piotr Kliczewski 2016-06-27 02:23:32 EDT
Sven, do you remember the BZ #?
Comment 18 Sven Kieske 2016-07-11 07:33:10 EDT
Hi,

I didn't create one, because I really don't need to upgrade from RC to released
version.

this was just a dev setup, so I rebuild everything from scratch with the released version, so I didn't submit a BZ.

HTH

Note You need to log in before you can comment on or make changes to this bug.